[arch-commits] Commit in viewglob/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:44:59 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:44:58
  Author: eric
Revision: 35982

Merged revisions 13897,35977 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/viewglob/trunk

........
  r13897 | allan | 2008-09-29 02:36:34 -0400 (Mon, 29 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r35977 | eric | 2009-04-19 02:26:09 -0400 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: viewglob 2.0.4-2
      Added license, FHS man pages, Fixed typos in description
........

Modified:
  viewglob/repos/extra-i686/	(properties)
  viewglob/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: viewglob/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /viewglob/trunk:1-8963
   + /viewglob/trunk:1-35981

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-19 06:41:23 UTC (rev 35981)
+++ extra-i686/PKGBUILD	2009-04-19 06:44:58 UTC (rev 35982)
@@ -4,17 +4,18 @@
 
 pkgname=viewglob
 pkgver=2.0.4
-pkgrel=1
-pkgdesc="viewglob is a utility designed to complement the Unix shell in a grapical enviroment"
+pkgrel=2
+pkgdesc="A utility designed to complement the Unix shell in a graphical environment"
 arch=(i686 x86_64)
 url="http://viewglob.sourceforge.net/index.html"
+license=('GPL')
 depends=('gtk2' 'bash' 'libsm')
-source=(http://switch.dl.sourceforge.net/sourceforge/viewglob/viewglob-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/viewglob/viewglob-$pkgver.tar.gz)
 md5sums=('7956a2e922a716bd0da30488e4ffb486')
 
 build() {
-    cd $startdir/src/$pkgname-$pkgver
-    ./configure --prefix=/usr
+    cd $srcdir/$pkgname-$pkgver
+    ./configure --prefix=/usr --mandir=/usr/share/man || return 1
     make || return 1
-    make prefix=$startdir/pkg/usr install
+    make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list